Forums

Posting in these forums is disabled. These forums will be available for archive purposes. Please join the new forums at the links below:

  • yui-support - replaces the `YUI 3.x` and `YUI 3 Gallery` forums.
    We have created the following discussion categories within this group to aid discoverability for these most-used topics:
    • Charts for YUI Charts support.
    • DataTable for YUI DataTable support.
    • Gallery for YUI Gallery support, including support for published Gallery components as well as the Gallery process in general.
    • Tools for support of YUI’s suite of developer tools such as selleck, shifter, grover, yogi, etc.
    • Everything Else for questions that don’t fit one of the categories above, we’ve got you covered here.
  • yui-deprecated - replaces the `YUI 2.x` forum and the forums of other deprecated products (`YUI Doc`, `Builder`, `YUI PHP Loader`, etc.).
  [ 6 posts ]
New Topic | Post Reply | Print view
Previous topic | Next topic

michael herndon

  • Username: michaelherndon
  • Joined: Mon Feb 28, 2011 10:43 am
  • Posts: 2
  • Twitter: michaelherndon
  • Offline
  • Profile

yeti setup / install walk through?

Post Posted: Mon Feb 28, 2011 10:51 am
I burned through last night attempting to get node.js & yeti installed and working.

is there a walkthrough that specifies the ideal node.js tag/branch location and yeti version to install on mac/osx linux?

I'd like to get yeti working on the mac before I even attempt to try getting a cygwin version on windows working.

Reid Burke

YUI Developer

  • Username: reid
  • Joined: Mon May 11, 2009 1:02 pm
  • Posts: 28
  • Location: Sunnyvale, California
  • Twitter: reid
  • GitHub: reid
  • Gists: reid
  • IRC: reid
  • YUI Developer
  • Offline
  • Profile
Tags:
  • github
  • install
  • installation
  • node
  • node.js
  • npm
  • yeti

Re: yeti setup / install walk through?

Post Posted: Mon Feb 28, 2011 11:48 am
The installation instructions are the current walkthrough:

https://github.com/reid/yeti#readme under "Installation"

...which essentially, for any platform, is `npm install yeti`. This requires npm which in turn requires Node.js.

The Node.js project maintains a nice installation guide for Node.js and npm for Unix (including pLinux, BSD, Mac) and Windows on their wiki: https://github.com/joyent/node/wiki/Installation

As for versions, simply use the latest stable versions of Node.js and npm.

michael herndon

  • Username: michaelherndon
  • Joined: Mon Feb 28, 2011 10:43 am
  • Posts: 2
  • Twitter: michaelherndon
  • Offline
  • Profile
Tags:
  • node

Re: yeti setup / install walk through?

Post Posted: Wed Mar 02, 2011 11:14 am
So I actually got yeti to start up the server on windows using cygwin and node.js v0.2.6 and yeti v0.1.3 (painful process).

However cygwin's bash will not let me type yeti <document> after the server is running using yeti --server.

Since I've gotten cygwin to at least launch yeti, I'll try compiling node.js v0.2.6 instead of the 0.4.0 and trunk/master 0.5.0 versions of node on the mac. Then see if this circumvents the error messages I've been getting. (possibly due to the packages connect & express)

Reid Burke

YUI Developer

  • Username: reid
  • Joined: Mon May 11, 2009 1:02 pm
  • Posts: 28
  • Location: Sunnyvale, California
  • Twitter: reid
  • GitHub: reid
  • Gists: reid
  • IRC: reid
  • YUI Developer
  • Offline
  • Profile

Re: yeti setup / install walk through?

Post Posted: Wed Mar 02, 2011 12:10 pm
Michael,

Try backgrounding the server process, for example:

yeti --server &

Then you'll get a prompt again for issuing other commands. To kill the server, you can bring the server to the foreground with `fg` and then kill it with a Ctrl-C.

paolo nesti poggi

YUI Contributor

  • Username: paolo
  • Joined: Sat Mar 14, 2009 9:53 am
  • Posts: 77
  • Location: Roskilde DK
  • GitHub: tribis
  • Gists: tribis
  • Offline
  • Profile
Tags:
  • failed
  • install
  • yeti

Re: yeti setup / install walk through?

Post Posted: Sun Mar 27, 2011 3:14 am
On Debian I had installed node.js, npm successfully, however when I tried : npm install yeti I got:
Quote:
npm ERR! Error installing optimist@=0.1.1
npm ERR! Error: Failed to parse json
npm ERR! Unexpected token }
npm ERR! at jsonParseFail (/usr/local/lib/node/.npm/npm/0.3.17/package/lib/utils/read-json
npm ERR! at /usr/local/lib/node/.npm/npm/0.3.17/package/lib/utils/read-json.js:82:14
npm ERR! at P (/usr/local/lib/node/.npm/npm/0.3.17/package/lib/utils/read-js
npm ERR! at cb (/usr/local/lib/node/.npm/npm/0.3.17/package/lib/utils/gracef
npm ERR! at [object Object].<anonymous> (fs.js:107:5)
npm ERR! at [object Object].emit (events.js:61:17)
npm ERR! at afterRead (fs.js:864:12)
npm ERR! JSON.parse
npm ERR! JSON.parse Failed to parse package.json data.
npm ERR! JSON.parse Note that package.json must be actual JSON, not
npm ERR! JSON.parse just a JavaScript object.
npm ERR! JSON.parse
npm ERR! JSON.parse This changed in npm 0.3.0, and is not a bug in npm.
npm ERR! JSON.parse Tell the package author to fix their package.json file.
npm ERR! JSON.parse
npm ERR! System Linux 2.6.26-2-686
npm ERR! argv { remain:
npm ERR! argv [ 'yeti',
npm ERR! argv 'express@=1.0.0',
npm ERR! argv 'connect@=0.5.0',
npm ERR! argv 'jade@=0.5.7',
npm ERR! argv 'optimist@=0.1.1' ],
npm ERR! argv cooked: [ 'install', 'yeti' ],
npm ERR! argv original: [ 'install', 'yeti' ] }
npm not ok


which looks like some unmet dependencies from another package (optimist).
However doing
Quote:
npm install yeti@stable
was error free.

Just in case somebody else stumbles upon this issue too.

/pnp

Reid Burke

YUI Developer

  • Username: reid
  • Joined: Mon May 11, 2009 1:02 pm
  • Posts: 28
  • Location: Sunnyvale, California
  • Twitter: reid
  • GitHub: reid
  • Gists: reid
  • IRC: reid
  • YUI Developer
  • Offline
  • Profile

Re: yeti setup / install walk through?

Post Posted: Tue May 03, 2011 2:27 pm
Hi all,

Today's release of Yeti 0.1.7 should be free of installation issues with recent npm, including npm 1.0.

If you continue to have problems, please let me know! Thanks. :)
  [ 6 posts ]
New Topic | Post Reply | Print view
Previous topic | Next topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum